Jump to content


resolved

Recaptcha Conflict

recaptcha wp-recaptcha

This topic has been archived. This means that you cannot reply to this topic.
4 replies to this topic

#1 pc77

pc77

    New Member

  • Members
  • Others: Toolkit
  • 6 posts

Posted 13 June 2014 - 02:11 PM


Apparently we have two plugins, the contact buddy plugin and a recaptcha plugin (WP-reCAPTCHA) that have the same function name declared. Or at least that's what I gather. I have the most updated version of contact buddy, but I'm still getting this fatal error. I have deactivated the other plugin, but do you all have a solution on how to fix this? I don't want that other plugin to be deactivated.  For privacy, I have replaced the folder where this site is housed with this tag: <website>.

The theme has encountered a problem that it cannot recover from. Please use the following information to try to resolve the problem.

Error Code: php_code_error:64:/home/<website>/public_html/wp-content/plugins/contactbuddy-by-pluginbuddycom/_recaptchalib.php:240:Cannot
redeclare _recaptcha_aes_encrypt() (previously declared in /home/<website>/public_html/wp-content/plugins/wp-recaptcha/recaptchalib.php:214)
Message: A fatal code error occurred. If you are unable to fix this problem, please copy all the text on this
screen and send it to support@ithemes.com.

*Debug Data:*

Array
(
[0] => Array
(
[file] =>
/home/<website>/public_html/wp-content/themes/Builder/lib/classes/it-error.php
[line] => 123
[function] => fatal
[class] => ITError
[type] => ::
[args] => Array
(
[0] =>
php_code_error:64:/home/<website>/public_html/wp-content/plugins/contactbuddy-by-pluginbuddycom/_recaptchalib.php:240:Cannot
redeclare _recaptcha_aes_encrypt() (previously declared in
/home/<website>/public_html/wp-content/plugins/wp-recaptcha/recaptchalib.php:214)
[1] => A fatal code error occurred.
)

)

[1] => Array
(
[file] =>
/home/<website>/public_html/wp-content/themes/Builder/lib/classes/it-error.php
[line] => 150
[function] => handle_error
[class] => ITError
[type] => ::
[args] => Array
(
[0] => 64
[1] => Cannot redeclare _recaptcha_aes_encrypt()
(previously declared in
/home/<website>/public_html/wp-content/plugins/wp-recaptcha/recaptchalib.php:214)
[2] =>
/home/<website>/public_html/wp-content/plugins/contactbuddy-by-pluginbuddycom/_recaptchalib.php
[3] => 240
)

)

[2] => Array
(
[function] => it_error_shutdown
[args] => Array
(
)

)

)


#2 Gerroald

Gerroald

    iThemes Support

  • Moderators
  • Others: All Plugins, All Themes, Toolkit, Webdesign
  • 3,339 posts

Posted 17 June 2014 - 02:41 PM

Hey Pc77,

I missed this yesterday. I'm doing some testing now and I'll let you know find!

I've responded you your ticket as well.

Thanks,

Gerroald

#3 Gerroald

Gerroald

    iThemes Support

  • Moderators
  • Others: All Plugins, All Themes, Toolkit, Webdesign
  • 3,339 posts

Posted 17 June 2014 - 03:57 PM

Hey Pc77,

I see this plugin is only confirmed compatible with WordPress 2.9.2. They suggest if they're any issues to use this one - http://wordpress.org/plugins/bwp-recaptcha/ Could you give that a try and let me know if you're still having the same issue?

Please let me know!

Thanks,

Gerroald

#4 pc77

pc77

    New Member

  • Members
  • Others: Toolkit
  • 6 posts

Posted 19 June 2014 - 03:25 PM

It looks like those don't conflict.  So I'll keep that running for now.  Thank you.

#5 Gerroald

Gerroald

    iThemes Support

  • Moderators
  • Others: All Plugins, All Themes, Toolkit, Webdesign
  • 3,339 posts

Posted 19 June 2014 - 04:26 PM

Hey Pc77,

Sounds great. Please let us know if you run into any other issues.

Thanks,

Gerroald